| Home | Libraries | People | FAQ | More

## Struct size_block_ctrl_compare

boost::interprocess::rbtree_best_fit::size_block_ctrl_compare

## Synopsis

    // In header: <boost/interprocess/mem_algo/rbtree_best_fit.hpp>

    struct size_block_ctrl_compare {

      // public member functions
      bool operator()(std::size_t, const block_ctrl &) const;
      bool operator()(const block_ctrl &, std::size_t) const;
    };

## Description

### `size_block_ctrl_compare` public member functions

1.     bool operator()(std::size_t size, const block_ctrl & block) const;

2.     bool operator()(const block_ctrl & block, std::size_t size) const;